# \Query\DriversSQLInterface

parent for database manipulation subclasses

## Summary

Methods
Constants
limit()
explain()
random()
dbList()
tableList()
systemTableList()
viewList()
triggerList()
functionList()
procedureList()
sequenceList()
typeList()
columnList()
fkList()
indexList()
No constants found
No protected methods found
N/A
No private methods found
N/A

File
  Query/Drivers/SQLInterface.php
Package
  \Query\Drivers

## Tags

None found

## Methods

### limit()

    limit(string  $sql, integer  $limit, integer|boolean  $offset = FALSE) : string

Get database specific sql for limit clause

#### Parameters

string | $sql |
integer | $limit |
integer|boolean | $offset |

#### Returns

string

#

## Tags

None found

### explain()

    explain(string  $sql) : string

Modify the query to get the query plan

#### Parameters

string | $sql |

#### Returns

string

#

## Tags

None found

### random()

    random() : string

Get the sql for random ordering

#### Returns

string

#

## Tags

None found

### dbList()

    dbList() : string

Returns sql to list other databases

#### Returns

string

#

## Tags

None found

### tableList()

    tableList() : string

Returns sql to list tables

#### Returns

string

#

## Tags

None found

### systemTableList()

    systemTableList() : string

Returns sql to list system tables

#### Returns

string

#

## Tags

None found

### viewList()

    viewList() : string

Returns sql to list views

#### Returns

string

#

## Tags

None found

### triggerList()

    triggerList() : string

Returns sql to list triggers

#### Returns

string

#

## Tags

None found

### functionList()

    functionList() : NULL

Return sql to list functions

#### Returns

NULL

#

## Tags

None found

### procedureList()

    procedureList() : string

Return sql to list stored procedures

#### Returns

string

#

## Tags

None found

### sequenceList()

    sequenceList() : string

Return sql to list sequences

#### Returns

string

#

## Tags

None found

### typeList()

    typeList() : string|array

Return sql to list database field types

#### Returns

string|array

#

## Tags

None found

### columnList()

    columnList(string  $table) : string

Get information about the columns in the specified table

#### Parameters

string | $table |

#### Returns

string

#

## Tags

None found

### fkList()

    fkList(string  $table) : array

Get the list of foreign keys for the current table

#### Parameters

string | $table |

#### Returns

array

#

## Tags

None found

### indexList()

    indexList(string  $table) : array

Get the list of indexes for the current table

#### Parameters

string | $table |

#### Returns

array

#

## Tags

None found

### SQLInterface.php